Manage your business partners and counterparties. Use these APIs to create and store information about the people or companies you interact with, including their bank details.
Overview
Our Banking as a Service (BaaS) platform helps to make it simple for companies to handle the flow of money. Our APIs offer a safe and dependable way to manage your financial operations, whether you are seeking money from a partner or paying somebody else.
With these APIs, you can:
- Manage Payees: Securely save the details of people or businesses you work with, including their bank information for ACH, Wire, or Braid transfers.
- Move Money: Create and send payment requests quickly by specifying the amount and the preferred payment method.
- Track Activity: Search through your transaction history to monitor the status of your payments and keep your records up to date.
Download OpenAPI description
Overview
API Support
Languages
Servers
Mock server
https://docs.theropay.co/_mock/theropay/docs/reference/braid
Sandbox Server
https://devapi.theropay.co
Body
- application/json
- text/json
- application/*+json
The details of the payment you want to request.
Enum"STANDARD""SAME_DAY""DOMESTIC_WIRE""INTERNATIONAL_WIRE"
- Mock serverhttps://docs.theropay.co/_mock/theropay/docs/reference/braid/finance/v1/payment_request
- Sandbox Serverhttps://devapi.theropay.co/finance/v1/payment_request
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.theropay.co/_mock/theropay/docs/reference/braid/finance/v1/payment_request \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"payeeId": 0,
"merchantAccountNumber": "string",
"amount": 0.01,
"currency": "string",
"paymentMethodType": "STANDARD",
"description": "string",
"externalId": "string",
"internalNote": "string"
}'